Questao2/Models/Foo.cs
public class Foo
{
    public string Title { get; set; }
    public string Description { get; set; }
}

Questao2/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


/*
 *  Questão 2
 *  Faça um crud básico com listagem, edição e remoção de itens. 
 *  Crie as views que achar necessário. Modele as classes da maneira que achar mais interessante e como você faria no seu dia a dia. 
 *  Como listagem, deixamos por padrão o GridMVC, mas você pode usar outro que tenha mais facilidade.
 */
namespace Questao2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Olá, candidato!";

            return View();
        }
    }
}

Questao2/Controllers/SalesOrderController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Questao2.Controllers
{
    public class SalesOrderController : Controller
    {
        //
        // GET: /SalesOrder/

        public ActionResult Index()
        {
            // TODO: Retornar a coleção de pedidos de vendas (SalesOrder).
            var list = new List<Foo>() 
            { 
                new Foo()
                {
                    Title = "Title 1",
                    Description = "Description"
                },
                new Foo()
                {
                    Title = "Title 2",
                    Description = "Description"
                },
                new Foo()
                {
                    Title = "Title 3",
                    Description = "Description"
                },
                new Foo()
                {
                    Title = "Title 4",
                    Description = "Description"
                },
                new Foo()
                {
                    Title = "Title 5",
                    Description = "Description"
                }
            };

            return View(list);
        }

        //
        // GET: /SalesOrder/Create

        public ActionResult Create()
        {
            // TODO: Implementação.
            return View();
        } 

        //
        // POST: /SalesOrder/Create

        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {

            // TODO: Implementação.
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
        
        //
        // GET: /SalesOrder/Edit/5
 
        public ActionResult Edit(int id)
        {
            // TODO: Implementação.
            return View();
        }

        //
        // POST: /SalesOrder/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            // TODO: Implementação.
            try
            {
                // TODO: Add update logic here
 
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
        //
        // POST: /SalesOrder/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            // TODO: Implementação.
            try
            {
                // TODO: Add delete logic here
 
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}

Questao2/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<h2>@ViewBag.Message</h2>
<p>
    Faça um CRUD básico de Sales Order com listagem, inserção, edição e remoção.

    Clique em Sales Order no menu no topo.
</p>

Questao2/Views/SalesOrder/Create.cshtml
@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>

Questao2/Views/SalesOrder/Edit.cshtml
    @{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>

Questao2/Views/SalesOrder/Index.cshtml
@model IEnumerable<Foo>
@{
    ViewBag.Title = "Home Page";
}


@using GridMvc.Html
@Html.Grid(this.Model).Columns(columns =>
           {
               columns.Add(foo => foo.Title).Titled("ID").SetWidth(110);
               columns.Add(foo => foo.Description).Sortable(true);
               columns.Add().Encoded(false).Sanitized(false).Titled("Editar").RenderValueAs(o => @Html.ActionLink("Editar", "Edit", "SalesOrder", new { id = 1 }, null));
               columns.Add().Encoded(false).Sanitized(false).Titled("Excluir").RenderValueAs(o => @Html.ActionLink("Excluir", "Delete", "SalesOrder", new { id = 1 }, null));
           }).WithPaging(50)


@Html.ActionLink(linkText: "Novo pedido", actionName: "Create", controllerName: "SalesOrder")

Questao2/Views/Shared/_Grid.cshtml
@using GridMvc.Columns
@model GridMvc.IGrid
@if (Model == null) { return; }
@if (Model.RenderOptions.RenderRowsOnly)
{
    @RenderGridBody();
}
else
{
    <div class="grid-mvc" data-lang="@Model.Language" data-gridname="@Model.RenderOptions.GridName" data-selectable="@Model.RenderOptions.Selectable.ToString().ToLower()" data-multiplefilters ="@Model.RenderOptions.AllowMultipleFilters.ToString().ToLower()">
        <div class="grid-wrap">
            <table class="table table-striped grid-table">
                @* Draw grid header *@
                <thead>
                    @RenderGridHeader()
                </thead>
                <tbody>
                    @RenderGridBody()
                </tbody>
            </table>
            @RenderGridPager()
        </div>
    </div>
}
@helper RenderGridBody()
{
    if (!Model.ItemsToDisplay.Any())
    {
    <tr class="grid-empty-text">
        <td colspan="@Model.Columns.Count()">
            @Model.EmptyGridText
        </td>
    </tr>
    }
    else
    {
        foreach (object item in Model.ItemsToDisplay)
        {
    <tr class="grid-row @Model.GetRowCssClasses(item)">
        @foreach (IGridColumn column in Model.Columns)
        {
            @column.CellRenderer.Render(column, column.GetCell(item))
        }
    </tr>
        }
    }
}
@helper RenderGridHeader()
{
    <tr>
        @foreach (IGridColumn column in Model.Columns)
        {
            @column.HeaderRenderer.Render(column)
        }
    </tr>
}
@helper RenderGridPager()
{
    if (Model.EnablePaging && Model.Pager != null)
    {
    <div class="grid-footer">
        @Html.Partial(Model.Pager.TemplateName, Model.Pager)
    </div>
    }
}

Questao2/Views/Shared/_GridPager.cshtml
@model GridMvc.Pagination.GridPager
@if (Model == null || Model.PageCount <= 1)
{
    return;
}
<div class="grid-pager">
    <ul class="pagination">
        @if (Model.CurrentPage > 1)
        {
            <li>
                <a href="@Model.GetLinkForPage(Model.CurrentPage - 1)">«</a>
            </li>
        }

        @if (Model.StartDisplayedPage > 1)
        {
            <li>
                <a href="@Model.GetLinkForPage(1)">1</a>
            </li>
            if (Model.StartDisplayedPage > 2)
            {
            <li><a href="@Model.GetLinkForPage(Model.StartDisplayedPage - 1)">...</a></li>
            }
        }
        @for (int i = Model.StartDisplayedPage; i <= Model.EndDisplayedPage; i++)
        {
            if (i == Model.CurrentPage)
            {
            <li class="active"><span>@i</span></li>
            }
            else
            {
            <li><a href="@Model.GetLinkForPage(i)">@i</a></li>
            }
        }
        @if (Model.EndDisplayedPage < Model.PageCount)
        {
            if (Model.EndDisplayedPage < Model.PageCount - 1)
            {
            <li><a href="@Model.GetLinkForPage(Model.EndDisplayedPage + 1)">...</a></li>
            }
            <li><a href="@Model.GetLinkForPage(Model.PageCount)">@Model.PageCount</a></li>
        }
        @if (Model.CurrentPage < Model.PageCount)
        {
            <li><a href="@Model.GetLinkForPage(Model.CurrentPage + 1)">»</a></li>
        }
    </ul>
</div>

Questao2/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>@ViewBag.Title</title>
    <link href="@Url.Content("~/Content/Site.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/Gridmvc.css")" rel="stylesheet" type="text/css" />
    <script src="@Url.Content("~/Scripts/jquery-3.3.1.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/modernizr-1.7.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/gridmvc.min.js")" type="text/javascript"> </script>
</head>
<body>
    <div class="page">
        <header>
            <div id="title">
                <h1>My MVC Application</h1>
            </div>
            <nav>
                <ul id="menu">
                    <li>@Html.ActionLink("Home", "Index", "Home")</li>
                    <li>@Html.ActionLink("Sales Order", "Index", "SalesOrder")</li>
                </ul>
            </nav>
        </header>
        <section id="main">
            @RenderBody()
        </section>
        <footer>
        </footer>
    </div>
</body>
</html>